> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# productimage

> Return product images from the blob table

## "productimage" MDO List

Return product images from the blob table

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProductImageProvider">ProductImageProvider</see> class.
The name of the MDO list is 'productimage'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/productimage
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("productimage", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name | StyleHint | ExtraInfo |
| --- | ---- | --------- | --------- |
| 623 | 623  |           |           |
| 624 | 624  |           |           |
| 625 | 625  |           |           |
| 626 | 626  |           |           |
| 627 | 627  |           |           |
| 628 | 628  |           |           |
| 629 | 629  |           |           |
| 630 | 630  |           |           |
| 631 | 631  |           |           |
| 632 | 632  |           |           |
| 633 | 633  |           |           |
| 634 | 634  |           |           |
| 635 | 635  |           |           |
| 636 | 636  |           |           |
| 637 | 637  |           |           |
| 638 | 638  |           |           |
| 639 | 639  |           |           |
| 640 | 640  |           |           |
| 641 | 641  |           |           |
| 642 | 642  |           |           |
| 643 | 643  |           |           |

## Related MDO Lists

* "productimageheadings"
* "productimageheadingswithallitem"
* "productimageheadingswithallitemwithnoselection"
* "productimageheadingswithnoselection"
* "productimagewithallitem"
* "productimagewithallitemwithnoselection"
* "productimagewithnoselection"


## Related topics

- [Save Image Stream](/en/api/reference/restful/agent/blob_agent/save-image-stream.md)
- [Enum BlobLinkType](/en/automation/crmscript/reference/CRMScript.NetServer.BlobLinkType.md)
- [Enum values for BlobLinkType](/en/database/tables/enums/bloblinktype.md)
- [SuperOffice.WebApi.Data.BlobLinkType](/en/api/reference/webapi/SuperOffice.WebApi.Data.BlobLinkType.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
